# -*- coding: utf-8 -*-
"""
Lösung Kapitel 1.6 - Einstiegsaufgabe: MemoApp
Auf eine grafische Darstellung wurde für Python verzichtet, da das Einlesen
von Daten über die Konsole in Python sehr einfach möglich ist. 

Created on Sun Jul  2 17:28:57 2023
@author: Peter Brichzin
"""
import time


# globale Attribute

alleNotizen = []
# Start mit 4 Einträgen
alleNotizen.append("Eis essen mit Charlotte");
alleNotizen.append("Schwimmzeug einpacken");
alleNotizen.append("Oma anrufen");
alleNotizen.append("Obst und Schoko kaufen");



# Methode startet das Programm mit dem Einlesen der Werte. 
# Danach wird die Methode QualitaetUeberpruefen aufgerufen.
def Starten():
    global hatBiosiegel, istRegional 
    global istAussehenGut, istGeruchGut
    global istEinseitig

    
    print("")
    print("++++++++++++++++++++++++++++++++++++++++++++++++++++++++")
    print("Herzlich Willkommen!")
    print("Wählen Sie bitte aus folgenden Menüpunkten")
    print("+: Ergänzen einer Notiz")
    print("l: Alle Notizen ausgeben")
    print("i: Eine einzelne Notiz ausgeben")
    print("-: Eine Notizen löschen")
    print("x: Alle Notizen löschen")
    print("q: App verlassen")

    aktuelleEingabe = input("Eingabe: ")
    if aktuelleEingabe == '+':
        NotizHinzufügen()
    elif aktuelleEingabe == 'l':
        AlleNotizenAnzeigen()
    elif aktuelleEingabe == 'i':
        EineNotizAnzeigen()
    elif aktuelleEingabe == '-':
        EineNotizLöschen()
    elif aktuelleEingabe == 'x':
        AlleNotizenLöschen()
    elif aktuelleEingabe == 'q':
        print("Auf Wiedersehen!")
    else:
        print("Eingabe nicht erkannt.")
    
def NotizHinzufügen():
    global alleNotizen
    neueNotiz = input("Bitte neue Notiz eingeben.")
    alleNotizen.append(neueNotiz)
    print("Notiz wurde hinzugefügt")
    
    time.sleep(2)
    Starten()
    
def AlleNotizenAnzeigen():
    global alleNotizen
    trennzeile = "-------------------"
    
    print("")
    print("Deine Notizen:")
    for notiz in alleNotizen:
        print( notiz + "\n" + trennzeile)
        
    time.sleep(2)
    Starten()
               
def EineNotizAnzeigen():
    global alleNotizen
    
    print("-------------------")
    print(alleNotizen[0])
         
    print("-------------------")
    time.sleep(2)
    Starten()
    
def EineNotizLöschen():
    global alleNotizen
    
    nummer = int(input("Bitte Notiznummer eingeben."))
    if nummer > 0 and nummer <= len(alleNotizen):
          alleNotizen.pop(nummer - 1)
          print("Notiz", nummer, " wurde gelöscht")
    else:
        print("Eine Notiz mit dieser Nummer gibt es nicht.")
          
    print("-------------------")
    time.sleep(2)
    Starten()
    
def AlleNotizenLöschen():
    global alleNotizen
    print("-------------------")
    
    #toDo        
          
    print("-------------------")
    time.sleep(2)
    Starten()
    
  
  
Starten()