from intern.methodenbox_intern import MethodenboxIntern

"""
METHODENBOX
Die folgenden Methoden stellt die Methodenbox bereit.
Darunter können Sie eigenen Code notieren.
"""
import time

    
# def fuegeTextHinzu(name, text, xPos, yPos):
#     """
#     Hinzufügen eines Textfeldes
#     --Parameter name eindeutiger Bezeichner des Textfelds
#     --Parameter text darzustellender Text
#     --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
#     --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
#     """    
#     MethodenboxIntern().fuegeTextHinzu(name, text, xPos, yPos)
    
def fuegeTextHinzu(name, text, xPos, yPos, farbe):
    """
    Hinzufügen eines Textfeldes
    --Parameter name eindeutiger Bezeichner des Textfelds
    --Parameter text darzustellender Text
    --Parameter xPos x-Position der linken oberen Ecke des Textfeldes 
    --Parameter yPos y-Position der linken oberen Ecke des Textfeldes
    --Parameter farbe Farbe des Textes
    """    
    MethodenboxIntern().fuegeTextHinzu(name, text, xPos, yPos, farbe)

def entferneText(name):
    """
    Methode zum Entfernen des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    """  
    MethodenboxIntern().entferneText(name)
        
def ersetzeText(name, textNeu):
    """
    Methode zum Ersetzen des Textes im Textfeld
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter textNeu der neue Text
    """    
    MethodenboxIntern().ersetzeText(name, textNeu)
        
def setzeTextposition(name, xPos, yPos):
    """
    Methode zum Ändern der Position des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter xPos neue x-Position
    --Parameter yPos neue y-Position
    """   
    MethodenboxIntern().setzeTextposition(name, xPos, yPos)
    
def setzeSichtbarkeitText(name, sichtbarkeitNeu):
    """
    Methode zum Ändern der Position des Textfeldes
    --Parameter name der eindeutige Bezeichner des Textfelds
    --Parameter sichtbarkeit als Wahrheitswert
    """   
    MethodenboxIntern().setzeSichtbarkeitText(name, sichtbarkeitNeu)
        
def verschiebe(name, deltaX, deltaY):
    """
    verschiebt den Text
    --Parameter name der eindeutige Bezeichner des Textfelds   
    --Parameter deltaX Verschiebung in x-Richtung
    --Parameter deltaY Verschiebung in y-Richtung
    """
    MethodenboxIntern().verschiebe(name, deltaX, deltaY)
    
def drehe(name, winkel):
     """
     Dreht den Text
     --Parameter winkel Drehwinkel
     """
     MethodenboxIntern().drehe(name, winkel)   

    
    
"""
Ab hier können Sie eigenen Code notieren!
"""

wörterliste = []
bezeichnerTextfeldListe = []


def trenneNach(text, trennzeichen):
    """
    In Python heisst die entsprechende Methode split
    und kann für alle Zeichenketten verwendet werden
    
    Parameters
    ----------
    text : der zu trennende Text.
    trennzeichen : das Trennzeichen.

    Returns
    -------
    None.

    """
    global wörterliste
    
    wörterliste = text.split(trennzeichen)


def erzeugeTextfelderAusWörtern(text, trennzeichen):
    global bezeichnerTextfeldListe
    global wörterliste
    
    xPos = 50
    wörterliste = text.split(trennzeichen) # hier wurde direkt idie Python-Methode und nicht trenneNach verwendet
    for i in range(len(wörterliste)):
        bezeichnerTextfeld = "w" + str(i)
        bezeichnerTextfeldListe.append(bezeichnerTextfeld)
        fuegeTextHinzu(bezeichnerTextfeld, wörterliste[i], xPos, 100, "blau")
        xPos += len(wörterliste[i]) * 20

def starteAnimation():
    """
    Eine mögliche Textanimation.

    Returns
    -------
    None.

    """
    global bezeichnerTextfeldListe
    
    verschiebe("w2", 20, 0)
    time.sleep(0.5)
    verschiebe("w1", 20, 0)
    time.sleep(0.5)
    verschiebe("w0", 20, 0)
    time.sleep(2.5)
    verschiebe("w2", 20, 0)
    time.sleep(0.5)
    verschiebe("w1", 20, 0)
    time.sleep(0.5)
    verschiebe("w0", 20, 0)
    time.sleep(2.5)
    verschiebe("w2", 20, 0)
    time.sleep(0.5)
    verschiebe("w1", 20, 0)
    time.sleep(0.5)
    verschiebe("w0", 20, 0)
    time.sleep(2.5)
    verschiebe("w2", 20, 0)
    time.sleep(0.5)
    verschiebe("w1", 20, 0)
    time.sleep(0.5)
    verschiebe("w0", 20, 0)
    time.sleep(2.5)
    
    
erzeugeTextfelderAusWörtern("Info ist cool!", " ")   
starteAnimation()
